## python-aio-pika 8.1.1

=== docs/requirements.txt ===
# ONLY FOR ReadTheDocs
.[develop]
autodoc

=== debian/changelog ===
python-aio-pika (8.1.1-1) unstable; urgency=medium

  * New upstream version 8.1.1.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 15 Aug 2022 09:20:01 -0300

python-aio-pika (8.0.3-2) unstable; urgency=medium

  * No-changes source-only upload to unstable.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 10 Aug 2022 07:18:39 -0300

python-aio-pika (8.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1015757)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 10 Aug 2022 07:18:26 -0300

=== debian/control ===
Source: python-aio-pika
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pamqp,
               python3-tornado,
               python3-nox,
               python3-msgpack,
               python3-sphinx <!nodoc>,
               python3-aiormq,
               python3-yarl
Standards-Version: 4.6.1
Homepage: https://github.com/mosquito/aio-pika
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aio-pika
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aio-pika.git
Testsuite: autopkgtest-pkg-python

Package: python3-aio-pika
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Suggests: python-aio-pika-doc
Description: AMQP client designed for asyncio and humans (Python 3)
 This library is a wrapper around aiormq for asyncio and humans.
 .
 Features:
  Completely asynchronous API.
  Object oriented API.
  Transparent auto-reconnects with complete state recovery with connect_robust.
  Transparent publisher confirms support.
  Transactions support.
  Completely type-hints coverage.
 .
 This package installs the library for Python 3.

Package: python-aio-pika-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: AMQP client designed for asyncio and humans (common documentation)
 This library is a wrapper around aiormq for asyncio and humans.
 .
 Features:
  Completely asynchronous API.
  Object oriented API.
  Transparent auto-reconnects with complete state recovery with connect_robust.
  Transparent publisher confirms support.
  Transactions support.
  Completely type-hints coverage.
 .
 This package installs the common documentation package.

## python-aio-pika 8.2.5

=== Makefile ===
all: test

RABBITMQ_CONTAINER_NAME:=aio_pika_rabbitmq
RABBITMQ_IMAGE:=mosquito/aiormq-rabbitmq

test:
	find . -name "*.pyc" -type f -delete
	tox

rabbitmq:
	docker pull $(RABBITMQ_IMAGE)
	docker kill $(RABBITMQ_CONTAINER_NAME) || true
	docker run --rm -d \
		--name $(RABBITMQ_CONTAINER_NAME) \
		-p 5671:5671 \
		-p 5672:5672 \
		-p 15671:15671 \
		-p 15672:15672 \
		$(RABBITMQ_IMAGE)

upload:
	python3.7 setup.py sdist bdist_wheel
	twine upload dist/*$(shell python3 setup.py --version)*

=== docs/requirements.txt ===
# ONLY FOR ReadTheDocs
.[develop]
autodoc
furo

=== debian/changelog ===
python-aio-pika (8.2.5-1) unstable; urgency=medium

  * New upstream version 8.2.5.
  * debian/control:
     - Added 'furo' to 'Build-Depends' field in python-aio-pika
       binary.
     - Added 'libjs-jquery' to 'Depends' field in python-aio-pika-doc binary.
  * debian/salsa-ci.yml: created to provide CI tests for Salsa.
  * debian/patches/010_disable-images-and-buttons-from-doc.patch:
      - Refreshed.
      - Renamed to debian/patches/010_disable-images-from-doc.patch.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 28 Nov 2022 08:14:16 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
                python3-msgpack,
                python3-sphinx <!nodoc>,
                python3-aiormq,
-               python3-yarl
+               python3-yarl,
+               furo
 Standards-Version: 4.6.1
 Homepage: https://github.com/mosquito/aio-pika
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aio-pika
@@ -44,7 +45,8 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+         ${sphinxdoc:Depends},
+         libjs-jquery
 Description: AMQP client designed for asyncio and humans (common documentation)
  This library is a wrapper around aiormq for asyncio and humans.
  .

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aio-pika

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_test:
	# don't run the tests, module aiomisc is required and it's not on Debian.

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html # HTML generator

## python-aio-pika 9.5.4

=== debian/changelog ===
python-aio-pika (9.5.4-2) unstable; urgency=medium

  * debian/control:
    - Drop 'autopkgtest-pkg-python' testsuite, which requires aiomisc and
      further dependencies, which are not packaged currently, and, besides,
      leads to regressions currently, on some architectures, like i386,
      preventing migration, due to python3-pamqp being uninstallable, because
      of recent changes.

 -- Georg Faerber <georg@debian.org>  Tue, 14 Jan 2025 15:04:37 +0000

python-aio-pika (9.5.4-1) unstable; urgency=medium

  * New upstream version.
  * debian/control:
    - Add myself as Uploader.
    - Bump Standards-Version to 4.7.0, no changes required.
    - Add dh-sequence-python3 to Build-Depends, drop dh-python.
    - Add pybuild-plugin-pyproject to Build-Depends.
    - Add python3-poetry-core to Build-Depends.
    - Wrap and sort.
  * debian/patches:
    - Refresh patch to remove images and buttoms from docs.
    - Add patch to remove Google Analytics from docs.
  * debian/rules:
    - Insert $DEB_VERSION_UPSTREAM into Sphinx configuration, to mitigate
      "No package metadata was found" error during build.

 -- Georg Faerber <georg@debian.org>  Thu, 09 Jan 2025 14:25:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,30 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
+Uploaders: Georg Faerber <georg@debian.org>,
+           Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               furo,
+               pybuild-plugin-pyproject,
+               python3-aiormq,
                python3-all,
+               python3-msgpack,
+               python3-nox,
+               python3-pamqp,
+               python3-poetry-core,
                python3-setuptools,
-               python3-pamqp,
+               python3-sphinx <!nodoc>,
                python3-tornado,
-               python3-nox,
-               python3-msgpack,
-               python3-sphinx <!nodoc>,
-               python3-aiormq,
-               python3-yarl,
-               furo
-Standards-Version: 4.6.1
+               python3-yarl
+Standards-Version: 4.7.0
 Homepage: https://github.com/mosquito/aio-pika
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aio-pika
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aio-pika.git
-Testsuite: autopkgtest-pkg-python
 
 Package: python3-aio-pika
 Architecture: all
-Depends: ${python3:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Suggests: python-aio-pika-doc
 Description: AMQP client designed for asyncio and humans (Python 3)
  This library is a wrapper around aiormq for asyncio and humans.
@@ -44,9 +46,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-jquery
+Depends: libjs-jquery,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Description: AMQP client designed for asyncio and humans (common documentation)
  This library is a wrapper around aiormq for asyncio and humans.
  .

## python-aio-pika 9.5.5

=== debian/changelog ===
python-aio-pika (9.5.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.7.2, no changes required.

 -- Georg Faerber <georg@debian.org>  Tue, 04 Mar 2025 19:01:33 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-sphinx <!nodoc>,
                python3-tornado,
                python3-yarl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/mosquito/aio-pika
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aio-pika
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-aio-pika.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = aio-pika
+
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@ --buildsystem pybuild --with python3,sphinxdoc
@@ -10,4 +12,6 @@
 
 override_dh_auto_build:
 	dh_auto_build
+	# Insert $DEB_VERSION_UPSTREAM into Sphinx configuration, to mitigate "No package metadata was found" error during build. 
+	sed -i "s/^__version__.*/__version__ = '$(DEB_VERSION_UPSTREAM)'/" docs/source/conf.py
 	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html # HTML generator

## python-aio-pika 9.5.6

=== Makefile ===
all: test

RABBITMQ_IMAGE:=mosquito/aiormq-rabbitmq

test:
	find . -name "*.pyc" -type f -delete
	tox

rabbitmq:
	docker kill $(docker ps -f label=aio-pika.rabbitmq -q) || true
	docker pull $(RABBITMQ_IMAGE)
	docker run --rm -d \
		-l aio-pika.rabbitmq \
		-p 5671:5671 \
		-p 5672:5672 \
		-p 15671:15671 \
		-p 15672:15672 \
		$(RABBITMQ_IMAGE)

upload:
	python3.7 setup.py sdist bdist_wheel
	twine upload dist/*$(shell python3 setup.py --version)*

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = aio-pika
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
# ONLY FOR ReadTheDocs
autodoc
furo

=== debian/changelog ===
python-aio-pika (9.5.6-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 9.5.6
  * Remove ExceptionGroup patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Thu, 07 Aug 2025 12:38:09 +0200

python-aio-pika (9.5.5-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on old python3-exceptionsgroup backport
  * Salsa CI: disable build for i386
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Sat, 26 Jul 2025 13:03:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = aio-pika

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_test:
	# don't run the tests, module aiomisc is required and it's not on Debian.

execute_after_dh_auto_build:
	# Insert $DEB_VERSION_UPSTREAM into Sphinx configuration, to mitigate "No package metadata was found" error during build.
	sed -i "s/^__version__.*/__version__ = '$(DEB_VERSION_UPSTREAM)'/" docs/source/conf.py
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/source build/html # HTML generator

=== debian/watch ===
version=4
https://github.com/mosquito/aio-pika/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
